translate:	bdp-kompass.php
	msgfmt lang/bdp-kompass_de_DE.po -olang/bdp-kompass-de_DE.mo

deploy:	bdp-kompass.php
	make translate
	@php ./.deployment/create_info_json.php $(version)
	mkdir -p ./.deployment/bdp-kompass/bdp-kompass
	cp -r * ./.deployment/bdp-kompass/bdp-kompass
	rm ./.deployment/bdp-kompass/bdp-kompass/changelog
	rm ./.deployment/bdp-kompass/bdp-kompass/Makefile
	rm -rf ./.deployment/bdp-kompass/bdp-kompass/.deployment
	rm -rf ./.deployment/bdp-kompass/bdp-kompass/.git
	cd  ./.deployment/bdp-kompass/ && zip -qr ./bdp-kompass-$(version).zip ./bdp-kompass/
	lftp -e "put -O / ./.deployment/bdp-kompass/bdp-kompass-$(version).zip; bye" -u "lv-sachsen-main_ftp3,sE&xDXc8za#S" bdp.mein-verein.online
	rm -rf ./.deployment/bdp-kompass/
	rm -rf ./.deployment/info.json/
	rm -rf ./info.json